Google Web Toolkit (Beta)
Search this site:

# Class TabListenerCollection

public class TabListenerCollection
extends ArrayList
A helper class for implementers of the SourcesTabEvents interface. This subclass of <linkArrayList></linkArrayList> assumes that all objects added to it will be of type TabListener.

## Methods

fireBeforeTabSelected(SourcesTabEvents, int) | Fires a beforeTabSelected event to all listeners.
fireTabSelected(SourcesTabEvents, int) | Fires a tabSelected event to all listeners.

## Method Detail

### fireBeforeTabSelected

public boolean fireBeforeTabSelected(SourcesTabEvents sender, int tabIndex)
Fires a beforeTabSelected event to all listeners.

#### Parameters

sender
  the widget sending the event
tabIndex
  the index of the tab being selected

### fireTabSelected

public void fireTabSelected(SourcesTabEvents sender, int tabIndex)
Fires a tabSelected event to all listeners.

#### Parameters

sender
  the widget sending the event
tabIndex
  the index of the tab being selected